<template>
  <div class="marketing_details">
    <div class="content">
      <el-tabs v-model="compoentsName">
        <el-tab-pane v-for="(item, index) in tabList" :key="index" :label="item.name" :name="item.id" />
      </el-tabs>
      <div class="components">
        <component :is="compoentsName" :params="params" />
      </div>
    </div>
  </div>
</template>

<script>
import info from './info'
import shop from './shop'
import marketData from './marketData'
export default {
  components: { info, shop, marketData },
  data() {
    return {
      tabList: [
        { name: '活动信息', id: 'info' },
        { name: '参与店铺', id: 'shop' },
        { name: '活动数据', id: 'marketData' }
      ],
      compoentsName: 'info'
    }
  },
  computed: {
    params() {
      return this.$route.params
    }
  },
  created() {},
  methods: {

  }
}
</script>

<style lang='less' scoped>
.marketing_details {
  background: #fff;
  .content {
    padding:20px 20px;
    .components {

    }
  }
}
</style>
